/* ---------------------------------------------- COLOR DEFINITIONS */
@import url(color-ages.css?v=0.1);

/* ---------------------------------------------- BODY, GENERAL */
@import url(_general.css?v=0.1);

/* ---------------------------------------------- AUTH, LOGIN */
@import url(_auth.css?v=0.2);

/* ---------------------------------------------- COMPONENTS */
@import url(_components.css?v=0.1);

/* ---------------------------------------------- HEADER */
@import url(_header.css?v=0.1);

/* ---------------------------------------------- NOTIFICATION ICONS ROW */
@import url(_notifications.css?v=0.1);

/* ---------------------------------------------- MOBILE SIDEBAR */
@import url(_sidebar.css?v=0.1);

/* ---------------------------------------------- NAV TABS */ 
@import url(_navtabs.css?v=0.1);

/* ---------------------------------------------- MAPS */ 
@import url(_maps.css?v=0.1);

/* ---------------------------------------------- TABLES */ 
@import url(_tables.css?v=0.1);

/* ---------------------------------------------- MODAL POPUP */
@import url(_modal.css?v=0.1);

/* ---------------------------------------------- SHINYWIDGETS POPUPS */
@import url(_popups.css?v=0.1);

/* ---------------------------------------------- LOADING ANIMATION */ 
@import url(_loadinganimation.css?v=0.1);

/* ---------------------------------------------- FOOTER */
@import url(_footer.css?v=0.1);


:root {
    --col-text: #47484c;
    --col-body-background: white;
    --col-main: var(--col-gold);
    --col-primary: var(--col-ocean);
    --col-secondary: var(--col-sky);

    --col-main-dark: var(--col-gold-dark-20);
    --col-main-light: var(--col-gold-light-60);
    --col-primary-dark: var(--col-ocean-dark-20);
    --col-primary-dark-dark: var(--col-ocean-dark-40);
    --col-primary-light: var(--col-ocean-light-20);
    --col-primary-light-light: var(--col-ocean-light-60);
    --col-primary-light-light-light: var(--col-ocean-light-90);
    --col-secondary-dark: var(--col-sky-dark-20);
    --col-secondary-light: var(--col-sky-light-20);

    --col-table-odd: var(--col-sand-light-60);
    --col-table-selected: var(--col-ocean-light-60);

    --col-invalid-input: #d9534f;

    --footer-logo-height: 40px;
}


/* ---------------------------------------------- PROJECT SPECIFIC */

/* optional project specifics */

.btn-default.spa_multiyear {
  color: #1b494b;
  background-color: #BFD8D6;
}

.btn-default.spa_multiyear .action-label {
  margin-left: 0px;
}

a.no_text_decoration {
  text-decoration: none;
}

.picker-title {
  display: inline-flex !important;
  /* display: inline-table !important; */
  margin-bottom: 0px !important;
}

.picker-title > label {
  display: none !important;
}

.picker-title button {
  border-color: black !important;
  font-size: 20px;
}

.picker-title > div.dropdown.bootstrap-select {
  background-color: var(--col-gold);
}

div.shiny-spinner-output-container:not(:has(> div.load-container.shiny-spinner-hidden)) {
    margin-top: 60px;
}

.bootstrap-select.ages-picker-visible-selection .filter-option-inner-inner {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
